curl --request GET \
--url https://api.ngrok.com/event_subscriptions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'ngrok-version: <ngrok-version>'import requests
url = "https://api.ngrok.com/event_subscriptions/{id}"
headers = {
"ngrok-version": "<ngrok-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'ngrok-version': '<ngrok-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ngrok.com/event_subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"uri": "<string>",
"created_at": "<string>",
"metadata": "<string>",
"description": "<string>",
"sources": [
{
"type": "<string>",
"uri": "<string>"
}
],
"destinations": [
{
"id": "<string>",
"uri": "<string>"
}
]
}{
"status_code": 123,
"msg": "<string>",
"error_code": "<string>",
"details": {}
}{
"status_code": 123,
"msg": "<string>",
"error_code": "<string>",
"details": {}
}Get
Retrieve details about a specific event subscription including its sources and destinations.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
a resource identifier
Response
Get an Event Subscription by ID.
Unique identifier for this Event Subscription.
URI of the Event Subscription API resource.
When the Event Subscription was created (RFC 3339 format).
Arbitrary customer supplied information intended to be machine readable. Optional, max 4096 chars.
Arbitrary customer supplied information intended to be human readable. Optional, max 255 chars.
Sources containing the types for which this event subscription will trigger
Show child attributes
Show child attributes
Destinations to which these events will be sent
Show child attributes
Show child attributes
Was this page helpful?